# $Id$

# make sure we require the correct versions of gaim
%define gaim_min 1:%(pkg-config --modversion gaim | awk -F- '{ print $1 }')
%define gaim_max 1:2.0.0

Name:           gaim-gaym
Version:        0.96
Release:        2%{?dist}
Summary:        A gay.com protocol plugin for gaim

Group:          Applications/Internet
License:        GPL
URL:            http://groups.yahoo.com/group/gaymplugin/
Source0:        http://download.berlios.de/qrc/qrc-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gaim < %{gaim_max}, gtk2-devel
Requires:       gaim >= %{gaim_min}, gaim < %{gaim_max}

%description
This package provides a protocol plugin for the popular instant messaging
program, gaim.  If you want to be able to chat on gay.com via gaim, install
this package.

This package will work with gaim versions greater than or equal to %{gaim_min}
and less than %{gaim_max}.

%prep
%setup -q -n qrc-%{version}


%build
%configure --enable-display_options
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
# AUTHORS and NEWS left out, as they're empty in this version 
# README.svn and README.mingw pertain to devel & win32 issues
%doc ChangeLog COPYING INSTALL README TODO
%{_libdir}/gaim/*.so
%{_datadir}/pixmaps/gaim/gaym
%{_datadir}/pixmaps/gaim/status/default/*
%exclude %{_libdir}/gaim/*.la


%changelog
* Mon May  8 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-2
- dropped explicit requires: gtk2

* Sat May  6 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.96-1
- new spec file from f-e template

